/* Globals and defines for MX */

extern register Cprintf();

#define TRUE            1
#define FALSE           0
#define NULL            0
#define NO_TIMEOUT      0

/* Time Comparisons */
#define SUNDAY          0
#define MONDAY          1
#define TUESDAY         2
#define WEDNESDAY       3
#define THURSDAY        4
#define FRIDAY          5
#define SATURDAY        6
#define WEEKDAY         7
#define WEEKEND         8
#define EVERYDAY        9

/* Poll definitions */
#define TICK            0
#define SECOND          1
#define MINUTE          2
#define HOUR            3

/* Interrupt Definitions */
#define SCI             0
#define SPI             1
#define PAI             2
#define PAO             3
#define TOF             4
#define OC5             5
#define OC4             6
#define OC3             7
#define OC2             8
#define OC1             9

#define IC3            10
#define IC2            11
#define IC1            12

#define RTI            13
#define IRQ            14
#define XIRQ           15
#define SWI            16
#define ILLOP          17
/*********************************/
struct TCB {
      int   *tlink;
      char   tstat;
      char   tpriority;
      int    tsp;
      int    tstart;
      int    tspinit;
      int   *tqhead;
      int   *tqtail;
      int   *tsema;
      int   *tsemalnk;
      int   *tsemrlnk;
      char  *tname;
      int    tspend;
      int    tspmin;
      int   *ttimer;
      int    tmask;
      };

struct POLLQ {
      int   *plink;
      int   *ptask;
      int    pmesg;
      };

